Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.output.io.rotate
Class ExpandingFileStrategy

    java.lang.Object
      org.jivesoftware.util.log.output.io.rotate.ExpandingFileStrategy

All Implemented Interfaces:
  FileStrategy

    public class ExpandingFileStrategy

extends Object
implements FileStrategy

strategy for naming log files based on appending revolving suffix.

Heavily odified by Bruce Ritchie (Jive Software) to rotate along the following strategy:

current log file will always be the base File name the next oldest file will be the _1 file the next oldest file will be the _2 file etc.

Author:
  Bernhard Huber

Constructor Summary
`ExpandingFileStrategy(String baseFileName)`

Method Summary
`File` | `currentFile()` Get the current logfile
`File` | `nextFile()` Calculate the real file name from the base filename.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpandingFileStrategy

    public ExpandingFileStrategy(String baseFileName)

Method Detail

### currentFile

    public File currentFile()

  Description copied from interface: `FileStrategy`
  Get the current logfile

  Specified by:
    `currentFile` in interface `FileStrategy`

### nextFile

    public File nextFile()

  Calculate the real file name from the base filename.

  Specified by:
    `nextFile` in interface `FileStrategy`
  Returns:
    File the calculated file name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.